<!--
 * @Author: 小明丶
 * @Date: 2020-05-25 17:48:41
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2021-11-12 09:23:40
 * @Description: 银行选择列表
--> 
<template>
  <div class="bank-list-page">
    <!-- <v-navbar title="选择银行"></v-navbar> -->
    <van-nav-bar title="选择银行" @click-left="gofront">
      <template #left>
        <i class="iconfont iconzuojiantou" style="font-size:18px"></i>
      </template>
    </van-nav-bar>
    <van-search v-model="value" shape="round" background="#F5F5F7" placeholder="搜索" @input="onInput" />
    <div style="height:30px;line-height:30px;padding-left:16px;box-sizing:border-box;" v-if="!value">
      <p>热门银行</p>
    </div>
    <!-- 热门银行 -->
    <div class="rm-bank-box" v-if="!value">
      <div class="bank-box" v-for="(item,i) in bankList" :key="i" @click="getBankCode(item)">
        <span>{{item.name}}</span>
      </div>
    </div>
    <div class="search-list" v-if="value">
      <div class="bank-box" v-for="(item,i) in searchBankList" :key="i" :id="item.first" :class="item.first" @click="getBankCode(item)">
        <span>{{item.name}}</span>
      </div>
    </div>
    <!-- <div style="height:30px;line-height:30px;padding-left:16px;box-sizing:border-box;" v-if="!value">
      <p>全部银行</p>
    </div>
    <div class="all-bank-box" v-if="!value">
      <div class="bank-box" v-for="(item,i) in otherBankList" :key="i" :id="item.first" :class="item.first" @click="getBankCode(item)">
        <span>{{item.name}}</span>
      </div>
    </div>
    
    <div class="letter-list">
      <p v-for="(item,e) in letterList" :key="e" @click="sortBank(item)">{{item}}</p>
    </div> -->
  </div>
</template>
<script>
import Vue from "vue";
import { Search } from "vant";
import { NavBar } from 'vant';

Vue.use(NavBar);
Vue.use(Search);
export default {
  data() {
    return {
      value: "",
      letterList: [
        "热",
        "A",
        "B",
        "C",
        "D",
        "E",
        "F",
        "G",
        "H",
        "I",
        "J",
        "K",
        "L",
        "M",
        "N",
        "O",
        "P",
        "Q",
        "R",
        "S",
        "T",
        "U",
        "V",
        "W",
        "X",
        "Y",
        "Z"
      ],
      hotBankList:[
        {
          name:'北京银行',
          code:'4031000',
          first:'B'
        },
        {
          name:'工商银行',
          code:'0102',
          first:'G'
        },
        {
          name:'光大银行',
          code:'0303',
          first:'G'
        },
        {
          name:'广发银行',
          code:'0306',
          first:'G'
        },
        {
          name:'华夏银行',
          code:'0304',
          first:'H'
        },
        {
          name:'建设银行',
          code:'0105',
          first:'J'
        },
        {
          name:'交通银行',
          code:'0301',
          first:'J'
        },
        {
          name:'民生银行',
          code:'0305',
          first:'M'
        },
        {
          name:'农业银行',
          code:'0103',
          first:'N'
        },
        {
          name:'平安银行',
          code:'0307',
          first:'P'
        },
        {
          name:'浦发银行',
          code:'0310',
          first:'P'
        },
        {
          name:'上海银行',
          code:'4012900',
          first:'S'
        },
        {
          name:'兴业银行',
          code:'0309',
          first:'X'
        },
        {
          name:'邮政储蓄银行',
          code:'0403',
          first:'Y'
        },
        {
          name:'中国银行',
          code:'0104',
          first:'Z'
        },
        {
          name:'招商银行',
          code:'0308',
          first:'Z'
        },
        {
          name:'中信银行',
          code:'0302',
          first:'Z'
        },
      ],
      otherBankList:[
        {
          name:'北京农商银行',
          code:'14189200',
          first:'B'
        },
        {
          name:'重庆农村商业银行',
          code:'14139200',
          first:'C'
        },
        {
          name:'重庆银行',
          code: '04419200',
          first:'C'
        },
        {
          name:'长沙银行',
          code:'04619200',
          first:'C'
        },
        {
          name:'成都农商银行',
          code:'14229200',
          first:'C'
        },
        {
          name:'成都银行',
          code:'04299200',
          first:'C'
        },
        {
          name:'广东省农村信用社联合社',
          code:'14509200',
          first:'G'
        },
        {
          name:'广州农村商业银行',
          code:'14059200',
          first:'G'
        },
        {
          name:'广州银行',
          code:'04139200',
          first:'G'
        },
        {
          name:'贵州省农村信用社联合社',
          code:'14369200',
          first:'G'
        },
        {
          name:'贵州银行',
          code:'05849200',
          first:'G'
        },
        {
          name:'贵阳银行',
          code:'04439200',
          first:'G'
        },
        {
          name:'广西壮族自治区农村信用社联合社',
          code:'14439200',
          first:'G'
        },
        {
          name:'湖北省农村信用社联合社',
          code:'14109200',
          first:'H'
        },
        {
          name:'杭州银行',
          code:'04239200',
          first:'H'
        },
        {
          name:'海南省农村信用社联合社',
          code:'14489200',
          first:'H'
        },
        {
          name:'海南银行',
          code:'05889200',
          first:'H'
        },
        {
          name:'河北省农村信用社联合社',
          code:'14419200',
          first:'H'
        },
        {
          name:'河北银行',
          code:'04229200',
          first:'H'
        },
        {
          name:'江苏银行',
          code:'05089200',
          first:'J'
        },
        {
          name:'江西银行',
          code:'04489200',
          first:'J'
        },
        {
          name:'南京银行',
          code:'04249200',
          first:'N'
        },
        {
          name:'宁波银行',
          code:'04089200',
          first:'N'
        },
        {
          name:'上海农村商业银行',
          code:'14019200',
          first:'S'
        },
        {
          name:'陕西省农村信用社联合社',
          code:'14429200',
          first:'S'
        },
        {
          name:'山西省农村信用社',
          code:'14559200',
          first:'S'
        },
        {
          name:'深圳农村商业银行',
          code:'4025840',
          first:'S'
        },
        {
          name:'天津银行',
          code:'04349200',
          first:'T'
        },
        {
          name:'温州银行',
          code:'04129200',
          first:'W'
        },
        {
          name:'厦门银行',
          code:'04029200',
          first:'X'
        },
        {
          name:'西安银行',
          code:'04449200',
          first:'X'
        },
        {
          name:'云南省农村信用社联合社',
          code:'14099200',
          first:'Y'
        },
        {
          name:'浙江民泰商业银行',
          code:'05259200',
          first:'Z'
        },
        {
          name:'郑州银行',
          code:'04359200',
          first:'Z'
        },
      ],
      searchBankList:[],
      
    };
  },
  computed:{
    bankList(){
      return JSON.parse(sessionStorage.bankList) 
    },
  },
  methods:{
    // 模糊查询
    onInput(){
      this.searchBankList = []
      this.bankList.forEach(e=>{
        if(e.name.indexOf(this.value) > -1 && this.value){
          this.searchBankList.push(e)
        }
      })
      // this.otherBankList.forEach(e=>{
      //   if(e.name.indexOf(this.value) > -1 && this.value){
      //     this.searchBankList.push(e)
      //   }
      // })
    },
    getBankCode(item){
      let isBackName =this.$route.query.isBackName, url = '';
      if(isBackName){
        url = '/bankCard/index'; 
      }else{
        url = '/order-handling/contract-signing';
      }
      this.$router.push({
        path:url,
        query:{
          code:item.code,
          name:item.name
        }
      })
    },
    // 点击字母排序
    sortBank(item){
      location.hash = '#' + item
    },
    // 返回合同签署页面
    gofront(){
      let isBackName =this.$route.query.isBackName;
      if(isBackName){
        this.$router.push('/bankCard/index'); 
      }else{
        this.$router.push('/order-handling/contract-signing');
      }
      
    }
  }
};
</script>
<style lang="less" scoped>
.bank-list-page {
  & {
    min-height: 100vh;
    background: #edf0f7;
    position: relative;
  }
  .letter-list {
    position: fixed;
    width: 16px;
    height: 80vh;
    right: 5px;
    top: 110px;
    p {
      font-size: 12px;
      margin-bottom: 5px;
      color: #157efb;
    }
  }
  .rm-bank-box {
    & {
      background: #fff;
      box-sizing: border-box;
      padding: 0 16px ;
    }
    .bank-box {
      height: 44px;
      line-height: 44px;
      border-bottom:1px solid #EEEEEE;
    }
  }
  .all-bank-box,.search-list{
    & {
      background: #fff;
      box-sizing: border-box;
      padding: 0 16px ;
    }
    .bank-box {
      height: 44px;
      line-height: 44px;
      border-bottom:1px solid #EEEEEE;
    }
  }
  /deep/.van-search__content--round {
    border-radius: 0.34rem;
    background: #fff;
  }
}
</style>